Workspaces: quick_preview

Requires authorization

Quick previews a workspace by creating a fake container version from all entities in the provided workspace. Try it now.

Request

HTTP request

POST https://www.googleapis.com/tagmanager/v2/+path:quick_preview

Parameters

Parameter name Value Description
Path parameters
path string GTM Workspace's API relative path. Example: accounts/{account_id}/containers/{container_id}/workspaces/{workspace_id}

Authorization

This request requires authorization with the following scope (read more about authentication and authorization).

Scope
https://www.googleapis.com/auth/tagmanager.edit.containerversions

Request body

Do not supply a request body with this method.

Response

If successful, this method returns a response body with the following structure:

{
  "containerVersion": accounts.containers.versions Resource,
  "syncStatus": {
    "mergeConflict": boolean,
    "syncError": boolean
  },
  "compilerError": boolean
}
Property name Value Description Notes
containerVersion nested object The quick previewed container version.
syncStatus nested object Whether quick previewing failed when syncing the workspace to the latest container version.
syncStatus.mergeConflict boolean Synchornization operation detected a merge conflict.
syncStatus.syncError boolean An error occurred during the synchronization operation.
compilerError boolean Were there compiler errors or not.

Try it!

Use the APIs Explorer below to call this method on live data and see the response.